Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
DOMRangeException Class Reference

Range operations may throw a `DOMRangeException` as specified in their method descriptions. More...

Inheritance diagram for DOMRangeException:

## Public Types

Public Constants
enum | RangeExceptionCode { BAD_BOUNDARYPOINTS_ERR = 111, INVALID_NODE_TYPE_ERR = 112 }
| Enumerators for DOM Range Exceptions. More...
Public Types inherited from DOMException

enum

ExceptionCode {
INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4,
INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8,
NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12,
INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15, VALIDATION_ERR = 16,
TYPE_MISMATCH_ERR = 17
}

| ExceptionCode. More...

## Public Member Functions

Constructors
| DOMRangeException ()
| Default constructor for DOMRangeException.
| DOMRangeException (short code, short messageCode, MemoryManager *const memoryManager)
| Constructor which takes an error code and a message.
| DOMRangeException (const DOMRangeException &other)
| Copy constructor.
Destructor.
virtual | ~DOMRangeException ()
| Destructor for DOMRangeException.
Public Member Functions inherited from DOMException
const XMLCh * | getMessage () const
| DOMException ()
| Default constructor for DOMException.
| DOMException (short code, short messageCode=0, MemoryManager *const memoryManager=XMLPlatformUtils::fgMemoryManager)
| Constructor which takes an error code and an optional message code.
| DOMException (const DOMException &other)
| Copy constructor.
virtual | ~DOMException ()
| Destructor for DOMException.

## Additional Inherited Members

Public Attributes inherited from DOMException
short | code
| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured.
const XMLCh * | msg
| A string value.
Protected Attributes inherited from DOMException
MemoryManager * | fMemoryManager

## Detailed Description

Range operations may throw a `DOMRangeException` as specified in their method descriptions.

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since
  DOM Level 2

## Member Enumeration Documentation

enum DOMRangeException::RangeExceptionCode

Enumerators for DOM Range Exceptions.

`BAD_BOUNDARYPOINTS_ERR:` If the boundary-points of a Range do not meet specific requirements.

`INVALID_NODE_TYPE_ERR:` If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.

Since
  DOM Level 2

Enumerator:

  BAD_BOUNDARYPOINTS_ERR |
  INVALID_NODE_TYPE_ERR |

## Constructor & Destructor Documentation

DOMRangeException::DOMRangeException | ( |  | ) |

Default constructor for DOMRangeException.

DOMRangeException::DOMRangeException | ( | short | code,
|  | short | messageCode,
|  | MemoryManager *const | memoryManager
| ) |  |

Constructor which takes an error code and a message.

Parameters

  code | The error code which indicates the exception
  messageCode | The string containing the error message
  memoryManager | The memory manager used to (de)allocate memory

DOMRangeException::DOMRangeException | ( | const DOMRangeException & | other | ) |

Copy constructor.

Parameters

  other | The object to be copied.

virtual DOMRangeException::~DOMRangeException | ( |  | ) |

virtual

Destructor for DOMRangeException.

The documentation for this class was generated from the following file:

- DOMRangeException.hpp